Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class Dispatcher

    java.lang.Object
      org.jboss.seam.core.Dispatcher

All Implemented Interfaces:
  LocalDispatcher

    @Name(value="org.jboss.seam.core.dispatcher")
    @Install(value=false,
             precedence=0)
    public class Dispatcher

extends Object
implements LocalDispatcher

Dispatcher for asynchronous methods.

Author:
  Gavin King

Nested Class Summary
`static class` | `Dispatcher.Asynchronous`

Field Summary
`static String` | `EXECUTING_ASYNCHRONOUS_CALL`

Constructor Summary
`Dispatcher()`

Method Summary
`Object` | `call(Callable task)`
`void` | `dispatch(javax.ejb.Timer timer)`
`static LocalDispatcher` | `instance()`
`void` | `postConstruct()`
`javax.ejb.Timer` | `scheduleEvent(String type, Long duration, Date expiration, Long intervalDuration, Object... parameters)`
`javax.ejb.Timer` | `scheduleInvocation(InvocationContext invocation, Component component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTING_ASYNCHRONOUS_CALL

    public static final String EXECUTING_ASYNCHRONOUS_CALL

See Also:
  Constant Field Values

Constructor Detail

### Dispatcher

    public Dispatcher()

Method Detail

### postConstruct

    public void postConstruct()

### dispatch

    public void dispatch(javax.ejb.Timer timer)

### scheduleEvent

    public javax.ejb.Timer scheduleEvent(String type,
                                         Long duration,
                                         Date expiration,
                                         Long intervalDuration,
                                         Object... parameters)

  Specified by:
    `scheduleEvent` in interface `LocalDispatcher`

### scheduleInvocation

    public javax.ejb.Timer scheduleInvocation(InvocationContext invocation,
                                              Component component)

  Specified by:
    `scheduleInvocation` in interface `LocalDispatcher`

### instance

    public static LocalDispatcher instance()

### call

    public Object call(Callable task)

  Specified by:
    `call` in interface `LocalDispatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD